/*------------------------------------------------------------------------------
 src/lib/djWidget/djGroupBoxWidget.h

 Copyright (c) 2004-2006 Darby Johnston.
 All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#ifndef DJ_GROUP_BOX_WIDGET_H
#define DJ_GROUP_BOX_WIDGET_H
#include <djWidget.h>

namespace dj {

// Group box widget.
//
class GroupBoxWidget : public Widget {
public:

  GroupBoxWidget(const Str & label = Str());
  
  // Label.
  //
  void label(const Str &);
  const Str & label() const { return _label; }
  
  // Layout.
  //
  const Vec2i sizeHint() const;
  void resize(int, int, int, int);
  
  // Widget.
  //
  void draw();
  
private:

  Str _label;
};

}

#endif
